Subject: Ticket Assigned - Order#6143063413
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 17 May 2022 20:37:23 +0000

Hi Shahad Albelihed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order#6143063413 Dears Actually I am one of all landmark brands But for above order I am surprised and shocked from level of service and condition of items I already did return request through application But this an official complain I received one table for set of 3 tables!!!! And scratches over it!!! Back bag fully dusted and black stains And chain ankle also used and without packaging Attached pics for items Ahmed hagracy 0561897804 Sent from my phone https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4364991